Subject: Re: [net-next-2.6 PATCH 6/9] vxge: Check if FCS stripping is disabled by the firmware.

From: Eric Dumazet <[email-masked]>
Date: Tue, 06 Oct 2009 08:47:35 +0200

Ramkrishna Vepa a écrit :
> [Ram] The minimum frame size that can be received by the hardware is 57
> Bytes. A 64 Byte Ethernet frame with the vlan tag and fcs stripped will
> result in a 56 Byte frame which will lock up the receive engine. The
> work around is to disable fcs stripping in the hardware which is a
> privileged operation done with a firmware version that the driver checks
> for currently.

Thanks for the info, this could be added in Changelog or some comment, as it
might help to diagnose similar problems elsewhere :)